2020-07-27 12:20:05 +00:00
|
|
|
References: bsc#1172356
|
|
|
|
|
The bug is that virt-manager reports a failure when in fact
|
|
|
|
|
the host and guest have added the network interface. The Xen
|
|
|
|
|
scripts are failing with an error when in fact that command
|
|
|
|
|
is succeeding.
|
|
|
|
|
|
|
|
|
|
The 'ip' commands seem to abort the script due to a 'set -e' in
|
|
|
|
|
xen-script-common.sh with what appears to be an error condition.
|
|
|
|
|
However, the command actually succeeds when checked from the
|
|
|
|
|
host console or also by inserting a sleep before each ip command
|
|
|
|
|
and executing it manually at the command line. This seems to be
|
|
|
|
|
an artifact of using 'set -e' everywhere.
|
|
|
|
|
|
2025-05-05 16:02:43 +00:00
|
|
|
---
|
|
|
|
|
tools/hotplug/Linux/xen-network-common.sh | 8 ++++----
|
|
|
|
|
1 file changed, 4 insertions(+), 4 deletions(-)
|
|
|
|
|
|
|
|
|
|
--- a/tools/hotplug/Linux/xen-network-common.sh
|
|
|
|
|
+++ b/tools/hotplug/Linux/xen-network-common.sh
|
|
|
|
|
@@ -84,7 +84,7 @@
|
2020-07-27 12:20:05 +00:00
|
|
|
local virtual="$2"
|
|
|
|
|
|
|
|
|
|
# take interface down ...
|
|
|
|
|
- ip link set dev ${dev} down
|
2025-05-05 16:02:43 +00:00
|
|
|
+ ip link set dev ${dev} down || true
|
2020-07-27 12:20:05 +00:00
|
|
|
|
|
|
|
|
if [ $virtual -ne 0 ] ; then
|
|
|
|
|
# Initialise a dummy MAC address. We choose the numerically
|
2025-05-05 16:02:43 +00:00
|
|
|
@@ -95,7 +95,7 @@
|
2020-07-27 12:20:05 +00:00
|
|
|
fi
|
|
|
|
|
|
|
|
|
|
# ... and configure it
|
|
|
|
|
- ip address flush dev ${dev}
|
2025-05-05 16:02:43 +00:00
|
|
|
+ ip address flush dev ${dev} || true
|
2020-07-27 12:20:05 +00:00
|
|
|
}
|
|
|
|
|
|
|
|
|
|
setup_physical_bridge_port() {
|
2025-05-05 16:02:43 +00:00
|
|
|
@@ -123,12 +123,12 @@
|
|
|
|
|
# Don't add $dev to $bridge if it's already on the bridge.
|
2021-05-04 14:51:11 +00:00
|
|
|
if [ ! -e "/sys/class/net/${bridge}/brif/${dev}" ]; then
|
|
|
|
|
log debug "adding $dev to bridge $bridge"
|
|
|
|
|
- ip link set ${dev} master ${bridge}
|
2025-05-05 16:02:43 +00:00
|
|
|
+ ip link set ${dev} master ${bridge} || true
|
2020-07-27 12:20:05 +00:00
|
|
|
else
|
2021-05-04 14:51:11 +00:00
|
|
|
log debug "$dev already on bridge $bridge"
|
2020-07-27 12:20:05 +00:00
|
|
|
fi
|
2021-05-04 14:51:11 +00:00
|
|
|
|
2020-07-27 12:20:05 +00:00
|
|
|
- ip link set dev ${dev} up
|
2025-05-05 16:02:43 +00:00
|
|
|
+ ip link set dev ${dev} up || true
|
2020-07-27 12:20:05 +00:00
|
|
|
}
|
|
|
|
|
|
2021-05-04 14:51:11 +00:00
|
|
|
remove_from_bridge () {
|